#!/usr/bin/ruby

require "fnmatch"

pattern = ARGV.shift
unless pattern
  $stderr.printf("usage: %s <pattern> [files...]\n", $0)
  exit 1
end
while line = gets
  line.chomp!
  if fnmatch(pattern, line, 0)
    puts line
  end
end

